Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management
Class DeploymentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.utils.NestedException
                  weblogic.management.ManagementException
                      weblogic.management.DeploymentException

All Implemented Interfaces:
  Serializable, weblogic.utils.NestedThrowable

Direct Known Subclasses:
  DeferredDeploymentException

    public class DeploymentException

extends ManagementException

Exceptions thrown during the deployment process.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Field Summary

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`DeploymentException(String message)` Constructor for the DeploymentException object
`DeploymentException(String message, Throwable t)` Constructor for the DeploymentException object
`DeploymentException(Throwable t)` Constructor for the DeploymentException object

Method Summary

Methods inherited from class weblogic.management.ManagementException
`unWrapExceptions`

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeploymentException

    public DeploymentException(String message,
                               Throwable t)

  Constructor for the DeploymentException object

  Parameters:
    `message` -
    `the` - original cause

### DeploymentException

    public DeploymentException(Throwable t)

  Constructor for the DeploymentException object

  Parameters:
    `t` - the original cause

### DeploymentException

    public DeploymentException(String message)

  Constructor for the DeploymentException object

  Parameters:
    `message` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD